viralquery
Api referencev1/library/search

Semantic search over the UGC video library (RAG-ranked)

GET
/v1/library/search

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Query Parameters

query*string
Length1 <= length
limit?integer
Range1 <= value <= 50

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/library/search?query=string"
{
  "results": [
    null
  ]
}
{
  "error": "unauthorized",
  "message": "string",
  "signupUrl": "string"
}
{
  "error": "payment_required",
  "message": "string",
  "required": 0,
  "balance": 0,
  "shortfall": 0,
  "topupUrl": "string",
  "type": "string",
  "title": "string",
  "status": 0,
  "detail": "string"
}
{
  "error": "forbidden",
  "message": "string",
  "requiredScope": "string",
  "grantedScopes": [
    "string"
  ]
}
{
  "error": "upstream_error",
  "message": "string",
  "retryable": true
}
{
  "error": "rate_limited",
  "message": "string",
  "retryAfter": 0
}
{
  "error": "upstream_error",
  "message": "string",
  "retryable": true
}
{
  "error": "upstream_error",
  "message": "string",
  "retryable": true
}